import { getVendor, getUniversals } from './browser';
const vendor = getVendor(); //Get Browser supported methods and events list.

const events = getUniversals(); //Get Common (universals) methods and events object.

const document = window.document || {};
export default {
  requestFullscreen: element => element[vendor[events.requestFullscreen]](),

  get exitFullscreen() {
    return document[vendor[events.exitFullscreen]].bind(document);
  },

  get isFullscreenEnabled() {
    return Boolean(document[vendor[events.fullscreenEnabled]]);
  },

  get fullscreenElement() {
    return document[vendor[events.fullscreenElement]];
  },

  addEventListener: function (type, handler) {
    let options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    return document.addEventListener(vendor[events[type]], handler, options);
  },
  removeEventListener: function (type, handler) {
    let options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    return document.removeEventListener(vendor[events[type]], handler, options);
  }
};