"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _browser = require("./browser");

var vendor = (0, _browser.getVendor)(); //Get Browser supported methods and events list.

var events = (0, _browser.getUniversals)(); //Get Common (universals) methods and events object.

var document = window.document || {};
var _default = {
  requestFullscreen: function requestFullscreen(element) {
    return element[vendor[events.requestFullscreen]]();
  },

  get exitFullscreen() {
    return document[vendor[events.exitFullscreen]].bind(document);
  },

  get isFullscreenEnabled() {
    return Boolean(document[vendor[events.fullscreenEnabled]]);
  },

  get fullscreenElement() {
    return document[vendor[events.fullscreenElement]];
  },

  addEventListener: function addEventListener(type, handler) {
    var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    return document.addEventListener(vendor[events[type]], handler, options);
  },
  removeEventListener: function removeEventListener(type, handler) {
    var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
    return document.removeEventListener(vendor[events[type]], handler, options);
  }
};
exports["default"] = _default;